<?php

// Privada: key_szLvD61hGsROCAuV4doIOPR
// Publica: key_GTHY89VUHLwxlE7lSGDyUv8

namespace App\Http\Controllers\Api\Conekta;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;
use App\Models\Address;

class AddressController extends Controller {
	public function getAll() {
		$response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $address = DB::table("zip_codes")
        ->select("zip_codes.vc_estado", "zip_codes.vc_municipio")
        ->whereNull("zip_codes.deleted_at")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $address
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
	}

	public function getStates() {
		$response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $address = DB::table("zip_codes")
        ->select(
        	DB::Raw("DISTINCT(zip_codes.vc_estado) AS vc_estado")
        )
        ->whereNull("zip_codes.deleted_at")
        ->orderby("zip_codes.vc_estado")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $address
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
	}

	public function getCities() {
		$response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $address = DB::table("zip_codes")
        ->select("vc_estado", "vc_municipio")
        ->whereNull("zip_codes.deleted_at")
        ->groupBy("zip_codes.vc_estado", "zip_codes.vc_municipio")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $address
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
	}

	public function getSuburb() {
		$response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $address = DB::table("zip_codes")
        ->select("vc_municipio", "vc_colonia")
        ->whereNull("zip_codes.deleted_at")
        ->groupBy("zip_codes.vc_municipio", "zip_codes.vc_colonia")
        ->get();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $address
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
	}
}