<?php
namespace App\Http\Controllers\Api\Conekta;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;

class TresGuerrasController extends Controller {
	public function getEstimation(Request $r) {
		$response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $items = "";
        $precio = 0;
        $extra = "0.03";

        if ( isset($r->calculoEnvio[0]['puertaMedida']) ) {

            $cp = $r->calculoEnvio[0]['cp'];

            $peso = $r->calculoEnvio[0]['pesoPuerta'] + $r->calculoEnvio[0]['pesoFijo'];

            $medidas = '{
                "no_bultos": 1,
                "contenido": "Productos Varios producto",
                "largo": '.(($r->calculoEnvio[0]['alto']/100)+($extra)).',
                "ancho": '.(($r->calculoEnvio[0]['ancho']/100)+($extra)).',
                "alto": '.((18/100)+($extra)).',
                "peso": ' . $peso . '
            }';

            $paramsCrearEstimacion = '{
                "cp_origen": "38110",
                "cp_destino": "'.$cp.'",
                "bandera_recoleccion": "N",
                "bandera_ead": "S",
                "retencion_iva_cliente": "S",
                "valor_declarado": '.$r->calculoEnvio[0]['precio'].',
                "medidas": [
                    '.$medidas.'
                ],
                "Access_Usr" : "'.env('ACCESS_USER_3GUERRAS').'",
                "Access_Pass" : "'.env('ACCESS_PASS_3GUERRAS').'"
            }';


        } else {
            $cp = $r->calculoEnvio[0][0]['cp'];
            foreach ( $r->calculoEnvio as $item ) {
                $puerta = DB::table("tb_puertas")
                ->select("f_largo","f_alto", "f_ancho","f_peso", "f_precio")
                ->where("id", $item[0]['id'])
                ->where("i_cat", $item[0]['cat'])
                ->whereNull("deleted_at")
                ->get();
                
                $producto = DB::table("tb_productos")
                ->select("f_largo","f_alto", "f_ancho","f_peso", "f_precio")
                ->where("id", $item[0]['id'])
                ->where("i_cat", $item[0]['cat'])
                ->whereNull("deleted_at")
                ->get();        

                if ( count($puerta) == 0 ) {
                    $items .= '{
                        "no_bultos": 1,
                        "contenido": "Productos Varios producto",
                        "largo": '.(($producto[0]->f_alto/100)+($extra)).',
                        "ancho": '.(($producto[0]->f_ancho/100)+($extra)).',
                        "alto": '.(($producto[0]->f_largo/100)+($extra)).',
                        "peso": '.$producto[0]->f_peso.'
                    },';
                    $precio = $precio + str_replace(",", "", $producto[0]->f_precio);
                } else {
                    $items .= '{
                        "no_bultos": 1,
                        "contenido": "Productos Varios puerta",
                        "largo": '.(($puerta[0]->f_alto/100)+($extra)).',
                        "ancho": '.(($puerta[0]->f_ancho/100)+($extra)).',
                        "alto": '.(($puerta[0]->f_largo/100)+($extra)).',
                        "peso": '.$puerta[0]->f_peso.'
                    },';
                    $precio = $precio + str_replace(",", "", $puerta[0]->f_precio);

                    $itemSmart = DB::table("tb_productos")
                    ->select("f_largo","f_alto", "f_ancho","f_peso", "f_precio")
                    ->where("id", (isset($item[0]['smart'])) ? $item[0]['smart'] : "" )
                    ->whereNull("deleted_at")
                    ->get();

                    if ( count($itemSmart) != 0 ) {
                        $items .= '{
                            "no_bultos": 1,
                            "contenido": "Productos Varios puerta",
                            "largo": '.(($itemSmart[0]->f_alto/100)+($extra)).',
                            "ancho": '.(($itemSmart[0]->f_ancho/100)+($extra)).',
                            "alto": '.(($itemSmart[0]->f_largo/100)+($extra)).',
                            "peso": '.$itemSmart[0]->f_peso.'
                        },';
                        $precio = $precio + str_replace(",", "", $itemSmart[0]->f_precio);
                    }
                }
            }

            $medidas = rtrim($items, ",");

            $paramsCrearEstimacion = '{
                "cp_origen": "38110",
                "cp_destino": "'.$cp.'",
                "bandera_recoleccion": "N",
                "bandera_ead": "S",
                "retencion_iva_cliente": "S",
                "valor_declarado": '.$precio.',
                "medidas": [
                    '.$medidas.'
                ],
                "Access_Usr" : "'.env('ACCESS_USER_3GUERRAS').'",
                "Access_Pass" : "'.env('ACCESS_PASS_3GUERRAS').'"
            }';
        }

        $headers = array ( 'Content-Type: application/json' );

        $soap_do = curl_init();
        curl_setopt( $soap_do, CURLOPT_URL, env("API_URL_3GUERRAS")."/services/apiTest/CustomerApi/WS_GenSteel/?action=ApiCotizacion" );
        curl_setopt( $soap_do, CURLOPT_RETURNTRANSFER, true );
        curl_setopt( $soap_do, CURLOPT_ENCODING, '' );
        curl_setopt( $soap_do, CURLOPT_MAXREDIRS, 10 );
        curl_setopt( $soap_do, CURLOPT_TIMEOUT, 0 );
        curl_setopt( $soap_do, CURLOPT_FOLLOWLOCATION, true );
        curl_setopt( $soap_do, CURLOPT_HTTP_VERSION, CURL_HTTP_VERSION_1_1 );
        curl_setopt( $soap_do, CURLOPT_POSTFIELDS, $paramsCrearEstimacion );
        curl_setopt( $soap_do, CURLOPT_HTTPHEADER, $headers );
        $result = curl_exec($soap_do);
        $estimacion = json_decode($result, true);
        curl_close($soap_do);        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $estimacion
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
	}
}