<?php

namespace App\Http\Controllers\Api\Productos;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use App\Models\ProductosGaleria;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;

class ProductosController extends Controller {
    public function index() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        //DB::connection()->enableQueryLog();
        $productos = DB::table("tb_productos")
        ->select("tb_productos.id", "tb_productos.i_cat", "tb_productos.vc_producto", "tb_productos.vc_url", DB::raw("FORMAT(tb_productos.f_precio, 2) as f_precio"), "tb_productos.i_descuento", "tb_productos_galleria.vc_imagen", "cat_productos.vc_categoria",  "tb_productos.tx_descripcion")
        ->join("cat_productos", "cat_productos.id", "=", "tb_productos.i_cat")
        ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_productos.id")
        ->where("tb_productos_galleria.i_catalogo", "2")
        ->whereNull("tb_productos.deleted_at")
        ->whereNull("cat_productos.deleted_at")
        ->whereNull("tb_productos_galleria.deleted_at")
        ->groupBy("tb_productos.id")
        ->orderby("tb_productos.id")
        ->get();
        //dd( DB::getQueryLog() );

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $productos
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function showUrl($url) {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        // DB::connection()->enableQueryLog();
        $puertas = DB::table("tb_productos")
        ->select("tb_productos.id", "tb_productos.vc_producto", "tb_productos.vc_url", DB::raw("FORMAT(tb_productos.f_precio, 2) as f_precio"), "tb_productos.i_descuento", "tb_productos.i_cat", "cat_productos.vc_categoria", "tb_productos_galleria.vc_imagen", "tb_productos.tx_descripcion")
        ->join("cat_productos", "cat_productos.id", "=", "tb_productos.i_cat")
        ->join("tb_productos_galleria", "tb_productos_galleria.i_producto", "=", "tb_productos.id")
        ->where("tb_productos_galleria.i_catalogo", "2")
        ->where("tb_productos.vc_url", $url)
        ->whereNull("tb_productos.deleted_at")
        ->whereNull("cat_productos.deleted_at")
        ->whereNull("tb_productos_galleria.deleted_at")
        ->orderby("tb_productos.id")
        ->get();
        // dd( DB::getQueryLog() );

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $puertas
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function deleteImageFromGallery( Request $r) {
        $response["error"] = false;
        $response["message"] = "success";
        
        $gal = ProductosGaleria::where( "id", $r->id )->get();

        $path = ltrim($gal[0]->vc_imagen, '/');
        if ( File::exists($path) ) {
            unlink( $path );
        }

        ProductosGaleria::where( "id", $r->id )->delete();

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => "Imagen borrada"
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
