<?php

namespace App\Http\Controllers\Api\PuertasMedida\Elementos;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\File;
use App\Models\CatElementos;
use App\Models\Elementos;
use App\Models\Fijos;
use App\Models\Pesos;
use Illuminate\Database\QueryException;
use Illuminate\Support\Facades\DB;

class PuertasMedidaController extends Controller {
    public function base() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id", 0)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getAll() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $data = "";

        try {
            $data = Elementos::get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getTexturaExterior( Request $r ) {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $data = "";

        try {
            $data = Elementos::where("id_textura_tipo", $r->id)->where("id_elemento_tipo", 1)->where("id", ">", 0)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getTexturaInterior( Request $r ) {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        $data = "";

        try {
            $data = Elementos::where("id_textura_tipo", $r->id)->where("id_elemento_tipo", 2)->where("id", ">", 0)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getArmazones() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 3)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
    
    public function getDisenos() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 4)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getCristal() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 5)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getCelosia() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 6)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getManeral() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 7)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getManija() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Elementos::where("id_elemento_tipo", 8)->get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function getFijos() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Fijos::get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }

    public function listWeight() {
        $response = array(
            "error" => false,
            "message" => "Sin error"
        );

        try {
            $data = Pesos::get();
        } catch ( QueryException $e ) {
            $response = array(
                "error" => true,
                "message" => "Error en la consulta"
            );
            $data = $e->getMessage();
        }
        

        return response()
            ->json([ 
                'error' => $response["error"], 
                'message' => $response["message"],
                'data' => $data
            ], 200)
            ->header("Access-Control-Allow-Origin", "*");
    }
}
