<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\SMTP;
use PHPMailer\PHPMailer\Exception;

class SendController extends Controller {
	public function send(Request $r) {

		$name 		= trim(strip_tags($r->nombre));
		$email 		= trim(strip_tags($r->mail));
		$phone 		= trim(strip_tags($r->phone));
		$subject 	= trim(strip_tags($r->asunto));
		$message 	= trim(strip_tags($r->mensaje));
		$recaptcha	= trim($_POST["g-recaptcha-response"]);

		$verifyResponse = file_get_contents('https://www.google.com/recaptcha/api/siteverify?secret=6Lco0I8bAAAAADzpmUJJNwsr_fvB1F1YT_lzKmwa&response='.$recaptcha);
		$responseData = json_decode($verifyResponse, true);

		$error = false;
		$error_message = "";

		if(!$error && $name == "" ){
			$error = true;
			$error_message = "El campo 'Nombre' es requerido.";
		} else {
			if(!$error && $email == ""){
				$error = true;
				$error_message = "El campo 'Correo electrónico' es requerido.";
			} else {
				if ( ! filter_var($email, FILTER_VALIDATE_EMAIL) ) {
					$error = true;
					$error_message = "El 'Correo electrónico' no es valido.";
				} else {
					if(!$error && $phone == ""){
						$error = true;
						$error_message = "El campo 'Teléfono' es requerido.";
					} else {				
						if ( !$error && strlen($phone) < 15 ) {
							$error = true;
							$error_message = "El campo 'Teléfono' debe contener 10 dígitos.";
						} else {
							if ( !$error && $subject == "" ) {
								$error = true;
								$error_message = "El campo 'Asunto' es requerido.";
							} else {
								if(!$error && $message == ""){
									$error = true;
									$error_message = "El campo 'Mensaje' es requerido.";
								} else {
									if( !$error && $responseData["success"] == false ) {
										$error = true;
										$error_message = "Comprueba que no eres un robot.";        
									}
								}
							}
						}
					}
				}
			}
		}

		$response = array();
		if($error){
			$response["error"] = true;
			$response["message"] = $error_message;
		} else {
			$mail = new PHPMailer(true);
			$mail->IsSMTP(); // enable SMTP

			$mail->SMTPDebug = 0;
			$mail->SMTPAuth = true;
			$mail->SMTPSecure = 'ssl';
			$mail->Host = "mail.afimex.mx";
			$mail->Port = 465;
			$mail->IsHTML(true);
			$mail->Username = "pagina.web@afimex.mx";
			$mail->Password = "IsOu33MGJVPH";
			$mail->SetFrom("pagina.web@afimex.mx");
			$mail->addReplyTo("pagina.web@afimex.mx");
			$mail->Subject = "AFIMEX Contacto";
			$mail->Body = 'Nombre: ' . $name . ' <br />
						   Correo electrónico: ' . $email . '<br />
						   Teléfono: ' . $phone .'<br />
						   Asunto: ' . $subject . '<br />
						   Mensaje: ' . $message;
			$mail->AddAddress("contacto@afimex.mx");
			$mail->addBCC('leads@metodika.mx', 'Leads');
			$mail->addBCC('mauricio.salinas@metodika.mx', 'Mauricio');

			if( $mail->Send() ) {
				$response["error"] = false;
				$response["message"] = "Hemos recibido tu mensaje, a la brevedad nos comunicaremos contigo.";
			} else {
				$response["error"] = true;
				$response["message"] = "No hemos podido enviar tu mensaje, intentalo nuevamente más tarde.";
			}
		}
		echo json_encode($response);
	}
}
