<?php

namespace App\Http\Requests\Back\Dashboard\Catalogos\PuertasAMedida\Elementos;

use Illuminate\Foundation\Http\FormRequest;

class CreateRequest extends FormRequest {
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize() {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules() {
        return [
            'name' => 'required',
            'tipoElemento' => 'required',
            'batiente' => 'required',
            'doble' => 'required',
            'pivote' => 'required',
            'batiente_fijo' => 'required',
            'preview' => 'required',
            'precio_batiente' => 'required',
            'precio_doble' => 'required',
            'precio_pivote' => 'required',
            'precio_batiente_fijo' => 'required'
        ];
    }

    public function messages() {
        return [
            "name.required" => "El campo 'Nombre del elemento' es requerido.",
            "tipoElemento.required" => "El campo 'Tipo de elemento' es requerido.",
            "batiente.required"     => "El campo 'Elemento para puerta sencilla' es requerido.",
            "doble.required"     => "El campo 'Elemento para puerta doble' es requerido.",
            "pivote.required"     => "El campo 'Elemento para puerta batiente' es requerido.",
            "batiente_fijo.required"     => "El campo 'Elemento para puerta batiente con fijo' es requerido.",
            "preview.required"     => "El campo 'Imagen preview' es requerido.",
            'precio_batiente.required' => "El campo 'Precio batiente' es requerido.",
            'precio_doble.required' => "El campo 'Precio doble' es requerido.",
            'precio_pivote.required' => "El campo 'Precio pivote' es requerido.",
            'precio_batiente_fijo.required' => "El campo 'Previo batiente con fijo' es requerido."
        ];
    }
}