@extends('back.layout.dashboard')
@section('contentTitle', 'Edición de Banner')
@section('topButton')
    <a href="{{ route('bannersHome.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop

@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => array('bannersHome.update', base64_encode($banners[0]->id)), 'class' => 'form-horizontal', 'enctype' => 'multipart/form-data']) }}
                <div class="row">
                    <div class="col">
                        <div class="form-group">
                            <label for="nombre">*Nombre:</label>
                            <input type="text" name="nombre" id="nombre" class="form-control" value="{{ $banners[0]->vc_nombre }}">
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <label for="orden">*Orden:</label>
                            <input type="number" name="orden" id="orden" class="form-control" value="{{ $banners[0]->i_order }}">
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col">
                        <div class="form-group">
                            <label for="desktop">Versión Desktop:</label>
                            <input type="file" name="desktop" id="desktop" accept="image/*" class="form-control">
                            <img src="{{ url("".$banners[0]->vc_img_desktop) }}" alt="Banner" class="w-100" />
                        </div>
                    </div>
                    <div class="col">
                        <div class="form-group">
                            <label for="mobile">Versión Movil:</label>
                            <input type="file" name="mobile" id="mobile" accept="image/*" class="form-control">
                            <img src="{{ url("".$banners[0]->vc_img_mobile) }}" alt="Banner" class="w-100" />
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col p-4">
                        <div class="form-group d-flex justify-content-around">
                            <label for="premium">Activo</label>
                            <div class="checkbox-wrapper-8">
                              <input class="tgl tgl-skewed" name="status" id="cb3-8" type="checkbox" {{ ( $banners[0]->b_status == 1 ) ? 'checked' : '' }} />
                              <label class="tgl-btn" data-tg-off="NO" data-tg-on="SI" for="cb3-8"></label>
                            </div>
                        </div>
                    </div>
                </div>
                    
                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop

@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
@section('CSS')
    <style>
      .checkbox-wrapper-8 .tgl {
        display: none;
      }
      .checkbox-wrapper-8 .tgl,
      .checkbox-wrapper-8 .tgl:after,
      .checkbox-wrapper-8 .tgl:before,
      .checkbox-wrapper-8 .tgl *,
      .checkbox-wrapper-8 .tgl *:after,
      .checkbox-wrapper-8 .tgl *:before,
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        box-sizing: border-box;
      }
      .checkbox-wrapper-8 .tgl::-moz-selection,
      .checkbox-wrapper-8 .tgl:after::-moz-selection,
      .checkbox-wrapper-8 .tgl:before::-moz-selection,
      .checkbox-wrapper-8 .tgl *::-moz-selection,
      .checkbox-wrapper-8 .tgl *:after::-moz-selection,
      .checkbox-wrapper-8 .tgl *:before::-moz-selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::-moz-selection,
      .checkbox-wrapper-8 .tgl::selection,
      .checkbox-wrapper-8 .tgl:after::selection,
      .checkbox-wrapper-8 .tgl:before::selection,
      .checkbox-wrapper-8 .tgl *::selection,
      .checkbox-wrapper-8 .tgl *:after::selection,
      .checkbox-wrapper-8 .tgl *:before::selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::selection {
        background: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        outline: 0;
        display: block;
        width: 4em;
        height: 2em;
        position: relative;
        cursor: pointer;
        -webkit-user-select: none;
           -moz-user-select: none;
            -ms-user-select: none;
                user-select: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        position: relative;
        display: block;
        content: "";
        width: 50%;
        height: 100%;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        display: none;
      }
      .checkbox-wrapper-8 .tgl:checked + .tgl-btn:after {
        left: 50%;
      }

      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn {
        overflow: hidden;
        transform: skew(-10deg);
        -webkit-backface-visibility: hidden;
                backface-visibility: hidden;
        transition: all 0.2s ease;
        font-family: sans-serif;
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        transform: skew(10deg);
        display: inline-block;
        transition: all 0.2s ease;
        width: 100%;
        text-align: center;
        position: absolute;
        line-height: 2em;
        font-weight: bold;
        color: #fff;
        text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after {
        left: 100%;
        content: attr(data-tg-on);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        left: 0;
        content: attr(data-tg-off);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active {
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active:before {
        left: -10%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn {
        background: #86d993;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:before {
        left: -100%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:active:after {
        left: 10%;
      }
    </style>
@stop

