@extends('back.layout.dashboard')
@section('contentTitle', 'Editar fijo')
@section('topButton')
    <a href="{{ route('fijos.index') }}" class="m-l-15"><button type="button" class="btn btn-info d-none d-lg-block"><i class="fas fa-chevron-left"></i> Regresar</button></a>
@stop
@section('content_dashboard')
    <div class="row">
        <div class="col-sm-12">
            <div class="card card-body">
                {{ Form::open(['route' => array('fijos.update', base64_encode($data[0]->id)), 'class' => 'form-horizontal']) }}
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="name">*Nombre de fijo:</label>
                                <input type="text" name="name" id="name" class="form-control" placeholder="ej. Fijo clásico" value="{{ $data[0]->vc_nombre }}">
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="precio">*Precio:</label>
                                <input type="text" name="precio" id="precio" class="form-control" placeholder="ej. 25000.00" value="{{ $data[0]->f_precio }}">
                            </div>
                        </div>
                        <div class="col-4 d-flex justify-content-center align-items-end">
                            <div class="form-group w-100 d-flex justify-content-around">
                                <label for="premium">Activo</label>
                                <div class="checkbox-wrapper-8">
                                  <input class="tgl tgl-skewed" name="status" id="cb3-8" type="checkbox" {{ ( $data[0]->b_status == 1 ) ? 'checked' : '' }} />
                                  <label class="tgl-btn" data-tg-off="NO" data-tg-on="SI" for="cb3-8"></label>
                                </div>
                            </div>
                        </div>
                    </div>

                    <h2>Batiente</h2>
                    <hr />
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="ox_batiente">*OX:</label>
                                <input type="file" name="ox_batiente" id="ox_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_ox_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="xo_batiente">*XO:</label>
                                <input type="file" name="xo_batiente" id="xo_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_xo_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osx_batiente">*OSX:</label>
                                <input type="file" name="osx_batiente" id="osx_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osx_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="oxo_batiente">*OXO:</label>
                                <input type="file" name="oxo_batiente" id="oxo_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_oxo_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osox_batiente">*OSOX:</label>
                                <input type="file" name="osox_batiente" id="osox_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osox_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osxo_batiente">*OSXO:</label>
                                <input type="file" name="osxo_batiente" id="osxo_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osxo_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osoxo_batiente">*OSOXO:</label>
                                <input type="file" name="osoxo_batiente" id="osoxo_batiente" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osoxo_batiente) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                        </div>
                        <div class="col-4">
                        </div>
                    </div>

                    <h2>Pivote</h2>
                    <hr />
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="ox_pivote">*OX:</label>
                                <input type="file" name="ox_pivote" id="ox_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_ox_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="xo_pivote">*XO:</label>
                                <input type="file" name="xo_pivote" id="xo_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_xo_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osx_pivote">*OSX:</label>
                                <input type="file" name="osx_pivote" id="osx_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osx_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="oxo_pivote">*OXO:</label>
                                <input type="file" name="oxo_pivote" id="oxo_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_oxo_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osox_pivote">*OSOX:</label>
                                <input type="file" name="osox_pivote" id="osox_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osox_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osxo_pivote">*OSXO:</label>
                                <input type="file" name="osxo_pivote" id="osxo_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osxo_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osoxo_pivote">*OSOXO:</label>
                                <input type="file" name="osoxo_pivote" id="osoxo_pivote" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osoxo_pivote) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                        </div>
                        <div class="col-4">
                        </div>
                    </div>

                    <h2>Fijo abatible y doble</h2>
                    <hr />
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="ox_doble">*OX:</label>
                                <input type="file" name="ox_doble" id="ox_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_ox_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="xo_doble">*XO:</label>
                                <input type="file" name="xo_doble" id="xo_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_xo_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osx_doble">*OSX:</label>
                                <input type="file" name="osx_doble" id="osx_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osx_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="oxo_doble">*OXO:</label>
                                <input type="file" name="oxo_doble" id="oxo_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_oxo_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osox_doble">*OSOX:</label>
                                <input type="file" name="osox_doble" id="osox_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osox_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osxo_doble">*OSXO:</label>
                                <input type="file" name="osxo_doble" id="osxo_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osxo_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="osoxo_doble">*OSOXO:</label>
                                <input type="file" name="osoxo_doble" id="osoxo_doble" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_osoxo_doble) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                        </div>
                        <div class="col-4">
                        </div>
                    </div>

                    <h2>Preview</h2>
                    <hr />
                    <div class="row">
                        <div class="col-4">
                            <div class="form-group">
                                <label for="preview">*Diseño preview:</label>
                                <input type="file" name="preview" id="preview" accept="image/*" class="form-control">
                                <img src="{{ url(''.$data[0]->vc_img_preview) }}" alt="Elemento para puerta sencilla" class="w-50" />
                            </div>
                        </div>
                        <div class="col-4">
                        </div>
                        <div class="col-4">
                        </div>
                    </div>

                    <button type="submit" class="btn btn-primary">Guardar</button>
                {{ Form::close() }}
            </div>
        </div>
    </div>
@stop
@section('JS')
    {{ Html::script('system/js/form.js')  }}
@stop
@section('CSS')
    <style>
      .checkbox-wrapper-8 .tgl {
        display: none;
      }
      .checkbox-wrapper-8 .tgl,
      .checkbox-wrapper-8 .tgl:after,
      .checkbox-wrapper-8 .tgl:before,
      .checkbox-wrapper-8 .tgl *,
      .checkbox-wrapper-8 .tgl *:after,
      .checkbox-wrapper-8 .tgl *:before,
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        box-sizing: border-box;
      }
      .checkbox-wrapper-8 .tgl::-moz-selection,
      .checkbox-wrapper-8 .tgl:after::-moz-selection,
      .checkbox-wrapper-8 .tgl:before::-moz-selection,
      .checkbox-wrapper-8 .tgl *::-moz-selection,
      .checkbox-wrapper-8 .tgl *:after::-moz-selection,
      .checkbox-wrapper-8 .tgl *:before::-moz-selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::-moz-selection,
      .checkbox-wrapper-8 .tgl::selection,
      .checkbox-wrapper-8 .tgl:after::selection,
      .checkbox-wrapper-8 .tgl:before::selection,
      .checkbox-wrapper-8 .tgl *::selection,
      .checkbox-wrapper-8 .tgl *:after::selection,
      .checkbox-wrapper-8 .tgl *:before::selection,
      .checkbox-wrapper-8 .tgl + .tgl-btn::selection {
        background: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn {
        outline: 0;
        display: block;
        width: 4em;
        height: 2em;
        position: relative;
        cursor: pointer;
        -webkit-user-select: none;
           -moz-user-select: none;
            -ms-user-select: none;
                user-select: none;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        position: relative;
        display: block;
        content: "";
        width: 50%;
        height: 100%;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl + .tgl-btn:before {
        display: none;
      }
      .checkbox-wrapper-8 .tgl:checked + .tgl-btn:after {
        left: 50%;
      }

      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn {
        overflow: hidden;
        transform: skew(-10deg);
        -webkit-backface-visibility: hidden;
                backface-visibility: hidden;
        transition: all 0.2s ease;
        font-family: sans-serif;
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after,
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        transform: skew(10deg);
        display: inline-block;
        transition: all 0.2s ease;
        width: 100%;
        text-align: center;
        position: absolute;
        line-height: 2em;
        font-weight: bold;
        color: #fff;
        text-shadow: 0 1px 0 rgba(0, 0, 0, 0.4);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:after {
        left: 100%;
        content: attr(data-tg-on);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:before {
        left: 0;
        content: attr(data-tg-off);
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active {
        background: #888;
      }
      .checkbox-wrapper-8 .tgl-skewed + .tgl-btn:active:before {
        left: -10%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn {
        background: #86d993;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:before {
        left: -100%;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:after {
        left: 0;
      }
      .checkbox-wrapper-8 .tgl-skewed:checked + .tgl-btn:active:after {
        left: 10%;
      }
    </style>
@stop